import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

import { LessonRoutingModule } from './lesson-routing.module';
import { HomeComponent } from './home/home.component';
import { DetailComponent } from './detail/detail.component';
import { FormsModule } from '@angular/forms';
import { CompLessonCardComponent } from './comp-lesson-card/comp-lesson-card.component';
import { PageMineComponent } from './page-mine/page-mine.component';
import { CompNavButtonComponent } from './comp-nav-button/comp-nav-button.component';
import { PageStudentComponent } from './page-student/page-student.component';
import { PageStudentDetailComponent } from './page-student-detail/page-student-detail.component';
import { TokPipe } from './pipe-tok/tok.pipe';
import { IonicModule } from '@ionic/angular';
import { NavTabsComponent } from './nav-tabs/nav-tabs.component';

@NgModule({
  declarations: [
    HomeComponent,
    DetailComponent,
    CompLessonCardComponent,
    PageMineComponent,
    CompNavButtonComponent,
    PageStudentComponent,
    PageStudentDetailComponent,
    TokPipe,
    NavTabsComponent
  ],
  imports: [
    CommonModule,
    FormsModule,
    LessonRoutingModule,
    // Ionic库
    IonicModule,
  ]
})
export class LessonModule { }
