import { Pipe, PipeTransform } from '@angular/core';

@Pipe({
  name: 'tok'
})
export class TokPipe implements PipeTransform {

  transform(value: string|number, ...args: unknown[]): unknown {
    value = Number(value)
    if(value>1000*1000){
      return (value / 1000 / 1000).toFixed(2) + "m"
    }
    if(value>1000){
      return (value / 1000).toFixed(2) + "k"
    }
    return value
  }

}

